=== debian/changelog ===
qxmpp (1.5.5-0.4build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Apr 2024 11:25:51 +0100

qxmpp (1.5.5-0.4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:07:44 +0000

qxmpp (1.5.5-0.4build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:59:23 +0000

qxmpp (1.5.5-0.4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:34:25 +0000

qxmpp (1.5.5-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062768

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 22:41:32 +0000

qxmpp (1.5.5-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2023 09:36:15 +0100

qxmpp (1.5.5-0.2~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Pass -DBUILD_EXAMPLES=OFF to cmake to disable the build of the examples,
    as they are not used.
  * Enable the OMEMO support, needed by Kaidan:
    - pass -DBUILD_OMEMO=ON, and -DWITH_QCA=ON to cmake
    - add the libomemo-c-dev, and libqca-qt5-2-dev build dependencies
    - add a new library package libqxmppomemoqt5-4
    - install the new files in libqxmppqt5-dev
  * Make the .install files for library packages more precise, to avoid
    unexpected SONAME bumps.
  * Explicitly add the pkg-config build dependency.
  * Add libqxmpp-dev back as transitional package for libqxmppqt5-dev.
  * Add proper breaks/replaces in libqxmppqt5-dev for the renaming from
    libqxmpp-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Nov 2023 09:14:07 +0100

qxmpp (1.5.5-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.5.5. (See #1039055)
    + Bump SONAME from 3 to 4.
  * debian/*: Rename library package:
    + libqxmpp-dev => libqxmppqt5-dev
    + libqxmpp3 => libqxmppqt5-4
  * debian/copyright: update license information.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 Oct 2023 09:03:57 -0400
