=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKEOPTS = -DBUILD_DOCUMENTATION=ON \
            -DBUILD_EXAMPLES=OFF \
            -DBUILD_OMEMO=ON \
            -DWITH_QCA=ON \
            -DBUILD_TESTS=OFF \
            -DWITH_GSTREAMER=ON

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS)

override_dh_installdocs:
	dh_installdocs
	dh_doxygen -i

.PHONY: override_dh_auto_test-indep
