## qxmpp 1.9.4

=== debian/changelog ===
qxmpp (1.9.4-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Reupload source-only.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 10:42:45 +0100

qxmpp (1.9.4-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (1.9.4).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Adapt packaging to new Qt6 library sonames: libQXmppQt6 and
    libQXmppOmemoQt6.
  * Drop libqxmpp-dev transitional dummy package.
  * Drop obsolete Breaks/Replaces.
  * Bump Standards-Version to 4.7.0, no change required.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Feb 2025 17:35:01 +0100
