=== debian/control ===
Source: qxmpp
Section: libs
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>, Boris Pek <tehnick@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               cmake (>= 3.7~),
               doxygen,
               graphviz,
               libglib2.0-dev,
               libgstreamer1.0-dev,
               libomemo-c-dev,
               libprotobuf-c-dev,
               libqca-qt6-dev,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/qxmpp-project/qxmpp
Vcs-Git: https://salsa.debian.org/xmpp-team/qxmpp.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/qxmpp

Package: libqxmppqt6-5
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: QXmpp library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the shared library.

Package: libqxmppomemoqt6-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: QXmppOmemo library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the OMEMO shared library.

Package: libqxmppqt6-dev
Section: libdevel
Architecture: any
Depends: libgstreamer1.0-dev,
         libqxmppomemoqt6-5 (= ${binary:Version}),
         libqxmppqt6-5 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqxmpp-dev (<< 1.5.5-0.1~exp1~),
Replaces: libqxmpp-dev (<< 1.5.5-0.1~exp1~),
Suggests: libqxmpp-doc,
Multi-Arch: same
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp-doc
Section: doc
Architecture: all
Depends: lynx | www-browser, ${misc:Depends},
Suggests: libqxmppqt6-dev,
Description: Documentation for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the HTML documentation.
