## qxmpp 1.10.1

=== debian/changelog ===
qxmpp (1.10.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (1.10.1).
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove library file name for no-symbols-control-file lintian
    override for libqxmppomemoqt6-5 so we don’t need to update it with
    every new release.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 14 Mar 2025 22:33:26 +0100
