=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                pkgconf,
                qt6-5compat-dev,
                qt6-base-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/qxmpp-project/qxmpp
 Vcs-Git: https://salsa.debian.org/xmpp-team/qxmpp.git
