=== debian/changelog ===
qxmpp (1.10.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (1.10.3).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 23 Mar 2025 18:48:21 +0100
