=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                qt6-base-dev,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://github.com/qxmpp-project/qxmpp
+Homepage: https://invent.kde.org/libraries/qxmpp
 Vcs-Git: https://salsa.debian.org/xmpp-team/qxmpp.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/qxmpp
