=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CMAKEOPTS = -DBUILD_DOCUMENTATION=ON \
+CMAKEOPTS = -DQT_MAJOR_VERSION=6 \
+            -DBUILD_DOCUMENTATION=ON \
             -DBUILD_EXAMPLES=OFF \
             -DBUILD_OMEMO=ON \
             -DWITH_QCA=ON \
