=== debian/watch ===
version=4
https://github.com/qxmpp-project/qxmpp/tags \
.*/qxmpp-project/qxmpp/archive/refs/tags/v(.+)\.tar\.gz \
debian uupdate
