## qxmpp 1.10.4

=== debian/changelog ===
qxmpp (1.10.4-0zneon+24.04+noble+release+build11) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 21 Jul 2025 04:14:29 +0000

qxmpp (1.10.4-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Mon, 31 Mar 2025 14:14:14 +1000
 

qxmpp (1.10.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Mon, 31 Mar 2025 14:14:14 +1000

qxmpp (1.10.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 20 Mar 2025 15:27:18 +1000

qxmpp (1.10.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 20 Mar 2025 09:25:31 +1000

qxmpp (1.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 25 Feb 2025 06:49:14 +1000

qxmpp (1.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 03 Sep 2024 07:57:17 +1000

qxmpp (1.7.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 27 Jul 2024 12:39:20 +1000

qxmpp (1.6.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 02 Apr 2024 14:09:48 +1100

qxmpp (1.5.5-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 18 May 2023 11:37:39 +1000

qxmpp (1.5.2-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 03 Mar 2023 08:10:20 +1000

qxmpp (1.5.1-0ppa1~lunar1) lunar; urgency=medium

  * New upstream release.

 -- Boris Pek <tehnick@debian.org>  Thu, 02 Feb 2023 03:09:31 +0300

qxmpp (1.4.0-0ppa1~hirsute1) hirsute; urgency=medium

  * New upstream release.

 -- Boris Pek <tehnick@debian.org>  Mon, 15 Mar 2021 21:42:11 +0300

qxmpp (1.3.2-2ppa1~hirsute1) hirsute; urgency=medium

  * Sync with package in Debian.
  * Decrease debhelper-compat version to 11.

 -- Boris Pek <tehnick@debian.org>  Sun, 10 Jan 2021 01:29:02 +0300
