=== debian/control ===
Source: qxmpp
Section: libs
Priority: optional
Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>, Boris Pek <tehnick@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               libgstreamer1.0-dev,
               libomemo-c-dev,
               libqca-qt5-2-dev,
               libqca-qt6-2-dev,
               qt6-5compat-dev,
               qt6-base-dev,
               qtbase5-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/qxmpp-project/qxmpp
Vcs-Git: https://invent.kde.org/neon/backports-noble/qxmpp-noble.git
Vcs-Browser: https://invent.kde.org/neon/backports-noble/qxmpp-noble
Maintainer: Neon CI <neon@kde.org>

Package: libqxmpp5
Architecture: any
Replaces: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4
Breaks: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: QXmpp library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt5. It strives to be
 as easy to use as possible.
 .
 This package contains the shared library.

Package: libqxmpp-dev
Section: libdevel
Architecture: any
Depends: libgstreamer1.0-dev,
         libqxmpp5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Suggests: libqxmpp-doc
Multi-Arch: same
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp5-qt6
Architecture: any
Replaces: libqxmpp4-qt6
Breaks: libqxmpp4-qt6
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: QXmpp library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt6. It strives to be
 as easy to use as possible.
 .
 This package contains the shared library.

Package: libqxmpp-qt6-dev
Section: libdevel
Architecture: any
Depends: libgstreamer1.0-dev,
         libqxmpp5-qt6 (= ${binary:Version}),
         qt6-5compat-dev,
         qt6-base-dev,
         ${misc:Depends}
Suggests: libqxmpp-doc
Multi-Arch: same
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt6. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp-doc
Section: doc
Architecture: all
Depends: lynx | www-browser, ${misc:Depends}
Suggests: libqxmpp-dev
Description: Documentation for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the HTML documentation.

Package: libqxmppomemoqt5-4t64
Section: oldlibs
Priority: extra
Architecture: all
Depends: libqxmpp5, ${misc:Depends}
Description: Dummy transitional
 Empty package

Package: libqxmppqt5-4t64
Section: oldlibs
Priority: extra
Architecture: all
Depends: libqxmpp5, ${misc:Depends}
Description: Dummy transitional
 Empty package
