=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKEOPTS = -DBUILD_DOCUMENTATION=ON \
            -DBUILD_EXAMPLES=ON \
            -DBUILD_TESTS=OFF \
            -DWITH_GSTREAMER=ON \
            -DBUILD_OMEMO=ON

%:
	dh $@ --with pkgkde_symbolshelper

execute_after_dh_auto_clean:
	rm -rf build-Qt6

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS) -DQT_VERSION_MAJOR=5
	dh_auto_configure --builddirectory=build-Qt6 -- $(CMAKEOPTS) -DQT_VERSION_MAJOR=6

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-Qt6

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-Qt6

override_dh_installdocs:
	dh_installdocs
	dh_doxygen -i

.PHONY: override_dh_auto_test-indep
