## qxmpp 1.12.0

=== debian/changelog ===
qxmpp (1.12.0-0zneon+24.04+noble+release+build13) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 01:27:56 +0000

qxmpp (1.12.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 03 Dec 2025 09:57:11 +1000
