=== debian/control ===
--- 
+++ 
@@ -20,10 +20,10 @@
 Vcs-Browser: https://invent.kde.org/neon/backports-noble/qxmpp-noble
 Maintainer: Neon CI <neon@kde.org>
 
-Package: libqxmpp5
+Package: libqxmpp7
 Architecture: any
-Replaces: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4
-Breaks: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4
+Replaces: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4, libqxmpp5, libqxmpp6
+Breaks: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4, libqxmpp5, libqxmpp6
 Depends: gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
          gstreamer1.0-plugins-ugly,
@@ -40,7 +40,7 @@
 Section: libdevel
 Architecture: any
 Depends: libgstreamer1.0-dev,
-         libqxmpp5 (= ${binary:Version}),
+         libqxmpp7 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends}
 Suggests: libqxmpp-doc
@@ -51,10 +51,10 @@
  .
  This package contains the development headers and libraries.
 
-Package: libqxmpp5-qt6
+Package: libqxmpp7-qt6
 Architecture: any
-Replaces: libqxmpp4-qt6
-Breaks: libqxmpp4-qt6
+Breaks: libqxmpp4-qt6, libqxmpp5-qt6, libqxmpp6-qt6
+Replaces: libqxmpp4-qt6, libqxmpp5-qt6, libqxmpp6-qt6
 Depends: gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
          gstreamer1.0-plugins-ugly,
@@ -71,7 +71,7 @@
 Section: libdevel
 Architecture: any
 Depends: libgstreamer1.0-dev,
-         libqxmpp5-qt6 (= ${binary:Version}),
+         libqxmpp7-qt6 (= ${binary:Version}),
          qt6-5compat-dev,
          qt6-base-dev,
          ${misc:Depends}
@@ -98,7 +98,7 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Depends: libqxmpp5, ${misc:Depends}
+Depends: libqxmpp7, ${misc:Depends}
 Description: Dummy transitional
  Empty package
 
@@ -106,6 +106,6 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Depends: libqxmpp5, ${misc:Depends}
+Depends: libqxmpp7, ${misc:Depends}
 Description: Dummy transitional
  Empty package
