=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,8 @@
 	rm -rf build-Qt6
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CMAKEOPTS) -DQT_VERSION_MAJOR=5
-	dh_auto_configure --builddirectory=build-Qt6 -- $(CMAKEOPTS) -DQT_VERSION_MAJOR=6
+	dh_auto_configure -- $(CMAKEOPTS) -DBUILD_WITH_QT6=OFF -DQT_VERSION_MAJOR=5
+	dh_auto_configure --builddirectory=build-Qt6 -- $(CMAKEOPTS) -DBUILD_WITH_QT6=ON -DQT_VERSION_MAJOR=6
 
 override_dh_auto_build:
 	dh_auto_build
