=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/unstable/@PACKAGE@/@PACKAGE@-([\d.]+).tar.xz
